Skip to content
Dashboard

Delete a webhook

DELETE/v2/webhooks/{id}

Permanently deletes a webhook.

Path Parameters

  • id - The webhook ID (24-character ObjectId)

Response

Returns a deletion confirmation object:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "webhook",
  "deleted": true
}

Caution

This operation is irreversible. The webhook and its configuration will be permanently deleted. After deletion, no events will be sent to the webhook endpoint.

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Path ParametersExpand Collapse
id: string

Webhook unique identifier

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
id: string

Unique identifier of the deleted webhook

deleted: true

Indicates the resource was deleted

object: "webhook"

Object type identifier

Delete a webhook

curl https://do.featurebase.app/v2/webhooks/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "webhook"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "webhook"
}